package com.example.generator;

import static android.view.View.INVISIBLE;
import static android.view.View.VISIBLE;

import static java.security.AccessController.getContext;

import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.os.Bundle;
import android.os.Debug;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.multidex.BuildConfig;


public class MainActivity extends AppCompatActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        Button makeButton = (Button) findViewById(R.id.nextButton);
        makeButton.setOnClickListener((v) -> {
            Intent intent = new Intent(this, EventsActivity.class);
            startActivity(intent);
        });
        Button DebugButton = (Button) findViewById(R.id.Debug);
        //DebugButton.setVisibility(View.GONE);
        DebugButton.setOnClickListener((v) -> {
            Intent intent = new Intent(this, DebugActivity.class);
            startActivity(intent);
        });



    }
}